<div class="container">
    <div>
        <h3>Carga de horario disponible</h3>
    </div>

    <div class="row">

        <div class="col">
            <div class="card">
                <div class="card-body">
                    <div>
                        <label for="mesInicio"> *Mes Inicial</label>
                    </div>
                    <div class="input-group mb-3">
                        <select class="form-select" id="inputGroupSelect01" #mes_inicial>
                            <option value="" selected>Seleccione el mes de inicio</option>
                            <option value="1">Enero</option>
                            <option value="2">Febrero</option>
                            <option value="3">Marzo</option>
                            <option value="4">Abril</option>
                            <option value="5">Mayo</option>
                            <option value="6">Junio</option>
                            <option value="7">Julio</option>
                            <option value="8">Agosto</option>
                            <option value="9">Septiembre</option>
                            <option value="10">Octubre</option>
                            <option value="11">Noviembre</option>
                            <option value="12">Diciembre</option>
                        </select>
                        
                    </div>
                    <p *ngIf="messageInicioMes" style="color: red;">Ingrese mes inicial</p>

                    <div>
                        <label for=" mesFinal"> *Mes Final</label>
                    </div>
                    <div class="input-group mb-3">
                        <select class="form-select" id="inputGroupSelect01" #mes_final>
                            <option value="" selected>Seleccione el mes de termino</option>
                            <option value="1">Enero</option>
                            <option value="2">Febrero</option>
                            <option value="3">Marzo</option>
                            <option value="4">Abril</option>
                            <option value="5">Mayo</option>
                            <option value="6">Junio</option>
                            <option value="7">Julio</option>
                            <option value="8">Agosto</option>
                            <option value="9">Septiembre</option>
                            <option value="10">Octubre</option>
                            <option value="11">Noviembre</option>
                            <option value="12">Diciembre</option>
                        </select>
                    </div>

                    <p *ngIf="messageFinalMes" style="color: red;">Ingrese mes final</p>
                    <div>
                        <label for="diaInicial"> *Día Inicial</label>
                    </div>
                    <div class="input-group mb-3">
                        <select class="form-select" id="inputGroupSelect01" #dia_inicial>
                            <option value="" selected>Seleccione el día de semana inicial</option>
                            <option value="1">Lunes</option>
                            <option value="2">Martes</option>
                            <option value="3">Miercoles</option>
                            <option value="4">Jueves</option>
                            <option value="5">Viernes</option>
                            <option value="6">Sabado</option>
                            <option value="7">Domingo</option>
                        </select>
                    </div>
                    <p *ngIf="messageInicioDia" style="color: red;">Ingrese día Inicial</p>
                    <div>
                        <label for="diaFinal"> *Día Final</label>
                    </div>
                    <div class="input-group mb-3">
                        <select class="form-select" id="inputGroupSelect01" #dia_final>
                            <option value="" selected>Seleccione el día de semana final</option>
                            <option value="1">Lunes</option>
                            <option value="2">Martes</option>
                            <option value="3">Miercoles</option>
                            <option value="4">Jueves</option>
                            <option value="5">Viernes</option>
                            <option value="6">Sabado</option>
                            <option value="7">Domingo</option>
                        </select>
                    </div>
                    <p *ngIf="messageFinalDia" style="color: red;">Ingrese día Final</p>
                    <div>
                        <label for="horaInicial"> *Hora Inicial</label>
                    </div>
                    <div class="input-group mb-3">
                        <select class="form-select" id="inputGroupSelect01" #hora_inicial>
                            <option value="" selected>Seleccione la hora de inicio</option>
                            <option value="9">09:00</option>
                            <option value="10">10:00</option>
                            <option value="11">11:00</option>
                            <option value="12">12:00</option>
                            <option value="13">13:00</option>
                            <option value="14">14:00</option>
                            <option value="15">15:00</option>
                            <option value="16">16:00</option>
                            <option value="17">17:00</option>
                            <option value="18">18:00</option>
                            <option value="19">19:00</option>
                            <option value="20">20:00</option>
                        </select>
                    </div>
                    <p *ngIf="messageInicioHora" style="color: red;">Ingrese hora inicial</p>
                    <div>
                        <label for="horaFinal¿"> *Hora Final</label>
                    </div>
                    <div class="input-group mb-3">
                        <select class="form-select" id="inputGroupSelect01" #hora_final>
                            <option value="" selected>Seleccione la hora final</option>
                            <option value="9">09:00</option>
                            <option value="10">10:00</option>
                            <option value="11">11:00</option>
                            <option value="12">12:00</option>
                            <option value="13">13:00</option>
                            <option value="14">14:00</option>
                            <option value="15">15:00</option>
                            <option value="16">16:00</option>
                            <option value="17">17:00</option>
                            <option value="18">18:00</option>
                            <option value="19">19:00</option>
                            <option value="20">20:00</option>
                        </select>
                    </div>
                    <p *ngIf="messageFinalHora" style="color: red;">Ingrese hora final</p>
                </div>
            </div>
        </div>
        <div class="col-1"></div>
    </div>
    <div class="justify-content-center">
        <button type="button" class="btn btn-dark"
            (click)="cargar(mes_inicial.value, mes_final.value, dia_inicial.value, dia_final.value, hora_inicial.value, hora_final.value)">Agregar
            horario</button>

    </div>


    


</div>
